#!/usr/bin/python3
from selenium import webdriver
from selenium.webdriver.chrome.service import Service as ChromeService

# Pfad zum Chromedriver
chromedriver_path = "/usr/bin/chromedriver"

# Chrome Service initialisieren
service = ChromeService(executable_path=chromedriver_path)

# Chrome-Optionen konfigurieren (headless)
chrome_options = webdriver.ChromeOptions()
chrome_options.add_argument('--headless')  # Diese Option startet den Browser im headless-Modus

# Initialisiere den Chromedriver mit dem Service und den Optionen
driver = webdriver.Chrome(service=service, options=chrome_options)

# Beispiel: Webseite öffnen
driver.get("https://wintersport.harzinfo.de//orte/detail-1/sub/1/skiTrail/1")

# Beispiel: Inhalt der Seite ausgeben
print(driver.page_source)

# Schließe den WebDriver
driver.quit()

